listReturn a list of vaults

This endpoint will return a list of active vaults

Return a list of vaults

The GET /Vaults endpoint returns a list of active vaults and key information about them.

circle-info

Vaults with poolType of "0" are Fixed Term Vaultsarrow-up-right.

Vaults with poolType of "1" are Flexible Term Vaultsarrow-up-right.

get
/vaults

getPoolListFunction

Authorizations
x-api-keystringRequired
Responses
chevron-right
200

Vault list

application/json
closeOfBusinessTimenumber · ETH_TIME_OF_DAYOptional

The close of business time in seconds from 0:00 GMT e.g. 64800 is 18:00 GMT

Example: 0
earlyWithdrawFeeBpsstring · BPSOptional

Early Withdraw Fees in basis points

idstring · IDOptional

ID of pool

poolTypenumber · STRINGOptional

Type of pool

Example: 0
poolAddrstring · ETH_ADDROptional

The smart-contract address of the loan vault.

Example: 0x34e78c9b36564cb13c8e204b93ce506e80925339
liquidityAssetAddrstring · ETH_ADDROptional

The smart-contract address for the liquidity asset e.g. USDC, EURC.

Example: 0x1e46a71473c497971ae1c8beb75c0eb7f89fb963
poolControllerAddrstring · ETH_ADDROptional

The smart-contract address for the Vault Controller.

Example: 0x3fd51901027c623d90c19b61941ebdc4a92db9e1
feeVaultAddrstring · ETH_ADDROptional

The smart-contract address for the Fee Vault.

Example: 0xe6c2b3767bdff9e0d085a520ad916cbc5752d86e
withdrawControllerAddrstring · ETH_ADDROptional

The smart-contract address for the Withdrawal Controller

Example: 0x9f5e336c2eaf7107d2eb1efd0a6bb7a461aea2bc
namestring · STRINGOptional

Name of the Loan Vault

Example: TokenName
symbolstring · STRINGOptional

Symbol for Vault Tokens

Example: OTT
borrowerManagerAddrstring · ETH_ADDROptional

The wallet address of the Advisor.

Example: 0xc20979f038529fbc797fc3581d85460514459be9
borrowerWalletAddrstring · ETH_ADDROptional

The wallet address of the Borrower.

Example: 0xd2ab6618a309b27c661906af4d0b4f9b00f5ac39
borrowerVaultAddrstring · ETH_ADDROptional

The smart-contract address of the Borrower Vault

Example: 0x67b80a92527f41a1de259a585ae7276c6bf75343
poolAdminAddrstring · ETH_ADDROptional

The wallet address of the Pool Administrator

Example: 0xa3d8e40d1700fe89645f9354a121b148bd12dda1
maxCapacitystring · STABLE_COINSOptional

The maximum outstanding loan principal for the loan vault. Uses 6 as a decimal value, so display value should be divided by 1000000. For example, 1000000 = 1.00

Example: 78000000000
get
/vaults
200

Vault list

Last updated